"""Add status, owner, expires_at to Level

Revision ID: 46da59479bc9
Revises: 41bace39fa06
Create Date: 2025-04-22 10:22:09.575310

"""
from typing import Sequence, Union

from alembic import op
import sqlalchemy as sa


# revision identifiers, used by Alembic.
revision: str = '46da59479bc9'
down_revision: Union[str, None] = '41bace39fa06'
branch_labels: Union[str, Sequence[str], None] = None
depends_on: Union[str, Sequence[str], None] = None


def upgrade() -> None:
    """Upgrade schema."""
    # ### commands auto generated by Alembic - please adjust! ###
    with op.batch_alter_table('levels', schema=None) as batch_op:
        batch_op.add_column(sa.Column('status', sa.Enum('TEMPORARY', 'PENDING_VERIFICATION', 'ACTIVE', name='levelstatusenum'), server_default='active', nullable=False))
        batch_op.add_column(sa.Column('owner_id', sa.Integer(), nullable=True))
        batch_op.add_column(sa.Column('expires_at', sa.DateTime(timezone=True), nullable=True))
        batch_op.alter_column('share_token',
               existing_type=sa.NUMERIC(),
               type_=sa.UUID(),
               existing_nullable=False)
        batch_op.create_foreign_key(batch_op.f('fk_levels_owner_id_users'), 'users', ['owner_id'], ['id'])

    # ### end Alembic commands ###


def downgrade() -> None:
    """Downgrade schema."""
    # ### commands auto generated by Alembic - please adjust! ###
    with op.batch_alter_table('levels', schema=None) as batch_op:
        batch_op.drop_constraint(batch_op.f('fk_levels_owner_id_users'), type_='foreignkey')
        batch_op.alter_column('share_token',
               existing_type=sa.UUID(),
               type_=sa.NUMERIC(),
               existing_nullable=False)
        batch_op.drop_column('expires_at')
        batch_op.drop_column('owner_id')
        batch_op.drop_column('status')

    # ### end Alembic commands ###
